Package com.complexible.stardog.api.admin.pack

# Enum Class ClusterNodeType

java.lang.Object
java.lang.Enum<ClusterNodeType>
com.complexible.stardog.api.admin.pack.ClusterNodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ClusterNodeType>`, `Constable`

public enum ClusterNodeType extends Enum<ClusterNodeType>

Represents the type of cluster node that is in use

Since:
  5.0
Version:
  8.0
Author:
  John Bresnahan, Paul Place

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENDPOINT`
  The representation of another Stardog Cluster, used for geo replicas to sync from.
  `FULL`
  A full cluster member.
  `READ_REPLICA`
  The node's purpose is to attempt to stay as in sync as possible with the cluster but not join.
  `STANDBY`
  The node's purpose is to attempt to stay as in sync as possible with the cluster but not join.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClusterNodeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClusterNodeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FULL

    public static final ClusterNodeType FULL
    A full cluster member. The node's purpose is to join the cluster and have full cluster member privileges.

  - ### STANDBY

    public static final ClusterNodeType STANDBY
    The node's purpose is to attempt to stay as in sync as possible with the cluster but not join. The user can promote the node to be a FULL cluster member, if needed.

  - ### READ_REPLICA

    public static final ClusterNodeType READ_REPLICA
    The node's purpose is to attempt to stay as in sync as possible with the cluster but not join. The node can also respond to queries, but it is not allowed to join the cluster.

  - ### ENDPOINT

    public static final ClusterNodeType ENDPOINT
    The representation of another Stardog Cluster, used for geo replicas to sync from.

- ## Method Details

  - ### values

    public static ClusterNodeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClusterNodeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null